/* LOD.C: LOD nodes (public source) */

#include "LOD.H"
#include "renderer.H"

namespace xrml {

void LOD::render(void)
{
  world->renderer->begin_LOD(this);

  if (whichLevel >= level.size) whichLevel = level.size-1;
  if (whichLevel >= 0)
    level[whichLevel]->render();

  world->renderer->end_LOD(this);
}

}  // namespace xrml
